\documentclass[xcolor={hyperref,dvips,ps2pdf},dvips]{beamer} 
\usepackage[baw]{fvrb-ex}
\fvset{xrightmargin=0cm,gobble=2}
\graphicspath{{/home/moi/Figures/FigSeconde/}}
%\usepackage{BeamerPolymaths}
\usepackage{amsmath,amssymb,amsbsy,amsfonts,amstext,amscd,amsopn,amsxtra}

\usepackage[T1]{fontenc} 
\usepackage[frenchb]{babel} 
\DeclareRobustCommand{\ve}[1]{%
\overrightarrow{\rule{0em}{1.8ex} #1 \rule{0.15em}{0ex}}}

\newcommand{\ds}{\displaystyle}
\newcommand{\Mathbold}[1]{\mbox{\boldmath$#1$\unboldmath}}
\usepackage{listings}
\newcommand\bbc{\mathbb{C}}
\newcommand\R{\mathbb{R}}
\newcommand{\CR}{\mathcal{C}}

\usepackage{multicol}   % Gestion des colonnes dans le texte
\setlength{\multicolsep}{3pt} 

\newenvironment{DeuxCols}[1][2]{%                             pour �rire en deux colonnes , 2 par d�aut
	\setlength{\columnsep}{30pt}
	\setlength{\columnseprule}{.5pt}
	\begin{multicols}{#1}}%
	{\end{multicols}}

\usepackage[french]{varioref} 

\usepackage{tablor}
\renewcommand\FancyVerbFormatLine[1]{\color[HTML]{1E90FF}{#1}}

\lstset{numbers=none,language=xcas,xleftmargin=10pt,%
keywordstyle =\color[HTML]{8B7500}\usefont{OT1}{cmtt}{b}{n},basicstyle=\ttfamily\footnotesize\color[HTML]{8B7500},commentstyle=\normalfont\scriptsize\slshape,breaklines=true}



\mode<presentation>
{
  \usetheme[secheader]{Madrid}
%  \usetheme{Darmstadt}
  % or ...Warsaw

  \setbeamercovered{highly dynamic}
  % or whatever (possibly just delete it)
}


\title[] % (optional, use only with long paper titles)
{Prsentation de XCAS au lyce}

\subtitle{Journe IREM 11 juin 2008}

\author[] % (optional, use only with lots of authors)
{Guillaume CONNAN }
% - Give the names in the same order as the appear in the paper.
% - Use the inst{?} command only if the authors have different
%   affiliation.

\institute{IREM Pays de la Loire}% (optional, but mostly needed)


\date[] % (optional, should be abbreviation of conference name)
{11 juin 2008}
% - Either use conference name or its abbreviation.
% - Not really informative to the audience, more for people (including
%   yourself) who are reading the slides online

\subject{}

\AtBeginSubsubsection[]
{
  \begin{frame}<beamer>
    \frametitle{Sommaire}
 {\scriptsize
\begin{DeuxCols}[2]
    \tableofcontents[currentsection,currentsubsection,currentsubsubsection]
       \end{DeuxCols}
}

  \end{frame}
}


% If you wish to uncover everything in a step-wise fashion, uncomment
% the following command: 

\beamerdefaultoverlayspecification{<+->}



\newcommand{\MarqueCommandeGiac}[1]{%
    \color[HTML]{8B7500}$\rightarrow$}
\newcommand{\MarqueLaTeXGiac}{%
    \color[HTML]{1E90FF}}
\newcommand{\InscriptionFigureGiac}[1]{%
    \begin{center}
	\includegraphics[width=0.7\linewidth]{#1}
    \end{center}}




\newcommand{\MarqueCommandeGiacN}[1]{%
    \color[HTML]{8B7500}$\rightarrow$}
\newcommand{\MarqueLaTeXGiacN}{%
    \color[HTML]{1E90FF}}
\newcommand{\InscriptionFigureGiacN}[1]{%
    \begin{center}
	\includegraphics[width=0.7\linewidth]{#1}
    \end{center}}









\begin{document}

\initablor


.gp string = text

.gp commande = listing


\begin{frame}
  \titlepage
\end{frame}

\begin{frame}
 \frametitle{Sommaire}
{\scriptsize
\begin{DeuxCols}[2] 
 \tableofcontents
\end{DeuxCols}
}

 
\end{frame}

\section{Avant d'utiliser XCAS}



\begin{frame}
Tous les fichiers ncessaires   la lecture de ce document se trouvent
\href{http://gconnan.free.fr/les_sources/irem11juin.zip}{\beamergotobutton{ICI}} 

Il  est aussi  ncessaire d'avoir  une version  de XCAS  postrieure 
celle du 11 juin 2008.

Pour ceux qui veulent compiler le  source .tex, il faut une version de
pgiac postrieure 
celle du 10 juin 2008.


Votre systme  doit galement tre configur pour  ouvrir les fichiers
d'extension  .xws avec  XCAS et  les fichiers  .tex et  .w  avec votre
diteur \LaTeX{} prfr.

\end{frame}


\begin{frame}
  XCAS est installable facilement sur tout OS via internet~:

\href{http://www-fourier.ujf-grenoble.fr/~parisse/giac_fr.html}{\beamergotobutton{Site
    XCAS}} 


\pause

Choisissez le niveau \texttt{Universit}


\end{frame}


\begin{frame}
  L'cran suivant apparat~:

\begin{center}
  \includegraphics[width=\textwidth]{capture1.eps}
\end{center}



\pause

Mais voyons plutt ce que cela donne en vrai~:

\href{run:xcas essai.xws}{\beamergotobutton{Lancer XCAS}} 

\end{frame}





\section{XCAS super calculateur}

\begin{frame}



La premire ide est d'utiliser XCAS comme un super calculateur.

Prenons quelques questions classiques du Bac S

%\href{run:essai.xws}{\beamergotobutton{Lancer XCAS}} 

\end{frame}


\subsection{Une tude de fonction}

\begin{frame}[fragile]

\begin{block}{nonc}

Soit $g$ la fonction d\'efinie sur $\R$ par 
 \[g(x)= 2\text{e}^x - x - 2.\]

\end{block}

%  \pause

.g g(x):=2*exp(x)-x-2

\end{frame}



\begin{frame}[fragile]

\begin{block}{nonc}

 D\'eterminer la limite de $g$ en $-\infty$ et la limite de $g$ en $+\infty$.

\end{block}

 % \pause

.g limite(g(x),x=+infinity); 

.g limite(g(x),x=-infinity); 


\end{frame}

\begin{frame}[fragile]
\begin{block}{nonc}

 \'Etudier le sens de variation de $g$

\end{block}
 
% \pause



.g deriver(g(x))

.g resoudre(deriver(g(x))>0)
  
%\pause

\end{frame}

\begin{frame}[fragile]

On obtient donc le tableau suivant :

\begin{center}
  \begin{TV}
    TV([-infinity,+infinity],[],"g","x",2*exp(x)-x-2,1,\tv)
    \end{TV}
  \end{center}


\end{frame}



\begin{frame}[fragile]
  
  \begin{block}{nonc}
On admet que l'\'equation $g(x)= 0$ a exactement deux solutions r\'eelles.

 V\'erifier que $0$ est l'une de ces solutions.

 L'autre solution est appel\'ee $\alpha$. Montrer que $-1,6 \leqslant  \alpha \leqslant  -1,5$.
  \end{block}


.g g(0)

.g fsolve(g(x)=0,x=-2)







\end{frame}



% \begin{frame}[fragile]

% On obtient donc le tableau suivant :

% \begin{center}
%   \begin{TVI}
%     TVI([-infinity,+infinity],[],"g","x",2*exp(x)-x-2,0,0,\tv)
%     \end{TVI}
%   \end{center}

% \end{frame}




\begin{frame}[fragile]

  \begin{block}{nonc}
  
Soit $f$ la fonction d\'efinie sur $\R$ par 
 \[f(x) = \text{e}^{2x} - (x + 1)\text{e}^x.\]

\end{block}
  
.g f(x):=exp(2*x)-(x+1)*exp(x)


\end{frame}




\begin{frame}[fragile]

  \begin{block}{nonc}
  D\'eterminer la limite de $f$ en $-\infty$ et la limite de $f$ en $+\infty$.

\end{block}
  
.g limite(f(x),x=+infinity); limite(f(x),x=-infinity); 

\end{frame}

\begin{frame}[fragile]
\begin{block}{nonc}
 Calculer $f'(x)$ et montrer que $f'(x)$ et $g(x)$ ont le mme signe.\\
\'Etudier le sens de variation de $f$.

\end{block}
 
.g deriver(f(x))

.g simplifier(deriver(f(x))/exp(x))


.g f(fsolve(g(x)=0,x=-2))


\end{frame}




% \begin{frame}[fragile]
 
% On en dduit le tableau suivant~:


%  \begin{center}
%     \begin{TVapp}
%       TVapp([-infinity,+infinity],[],"f","x",exp(2*x)-(x+1)*exp(x),1,\tv)
%       \end{TVapp}
%     \end{center}

 
% \end{frame}




\begin{frame}[fragile]

Puis le graphe de $f$~:


.g graphe(f(x),x=-4..1)



  
\end{frame}


\subsection{Quelques calculs avec les complexes}

\subsubsection{Initialisation}

\begin{frame}[fragile]
  Il  faut d'abord prciser   XCAS  que l'on  va travailler  avec des
  complexes~:

.g complex_variables:=1:; complex_mode:=1:;

\end{frame}

\subsubsection{Tronc commun}

\begin{frame}[fragile]
  \begin{block}{nonc}

 Soit A le point d'affixe i et B le point d'affixe B.


  \end{block}


.g a:=i;b:=2;


  
\end{frame}










\begin{frame}[fragile]
  \begin{block}{nonc}

 Dterminer l'affixe  du point $B_1$ image de  B par l'homothtie
      de centre A et de rapport $\sqrt{2}$ ;


  \end{block}




.g h:=homothetie(a,sqrt(2))
.g b1:=evalc(affixe(h(b)))


  
  
\end{frame}











\begin{frame}[fragile]
  \begin{block}{nonc}

 Dterminer l'affixe du point $B'$ image de $B_1$ par la rotation
      de centre A et de rapport $\frac{\pi}{4}$

  \end{block}



.g r:=rotation(a,pi/4)
.g bp:=evalc(affixe(r(b1)))

  
  
\end{frame}






\begin{frame}[fragile]
  \begin{block}{nonc}

Soit $f$ dfinie par $f(z)=(1+i)z+1$ et $F$ l'application du plan dans
lui-mme associe.

  \end{block}



.g f(z):=(1+i)*z+1
  
  
\end{frame}




\begin{frame}[fragile]
  \begin{block}{nonc}

Montrer que B a pour image $B'$ par F.

  \end{block}



.g evalc(f(b))
  
  
\end{frame}


\begin{frame}[fragile]
  \begin{block}{nonc}

Dterminer les invariants de F.

  \end{block}



.g csolve(f(z)=z,z)
  

On peut remplacer \texttt{csolve} par \texttt{resoudre\_dans\_C}
\end{frame}


\begin{frame}[fragile]
  \begin{block}{nonc}

Donner, pour tout complexe $z$ diffrent de i, la forme algbrique de $\frac{f(z)-z}{i-z}$.

  \end{block}



.g evalc((f(z)-z)/(i-z))
  
\end{frame}


\begin{frame}[fragile]
  \begin{block}{nonc}

On considre le point A d'affixe $4 - 2\text{i}$.

Dterminer la forme algbrique de l'affixe du point B tel que OAB soit un triangle quilatral de sens direct.

  \end{block}

.g O:=point(0):;A:=point(4-2*i):;

.g t:=triangle_equilateral(O,A,B):;

.g evalc(affixe(B))

\end{frame}



\begin{frame}[fragile]
  \begin{block}{nonc}

 Rsoudre, dans l'ensemble $\bbc$ des nombres complexes, l'quation :

$\overline{z} - 3\text{i}z - 3+ 6\text{i} = 0$

o $\overline{z}$ est le conjugu de z.

  \end{block}

.g simplifier(csolve(conj(z)-3i*z-3+6i=0,z))

\end{frame}


\subsubsection{Spcialit}



\begin{frame}
  \begin{block}{nonc}
On  appelle   $r$  la  rotation  de  centre   $\Omega(2)$  et  d'angle
$\frac{\pi}{4}$ et  $h$ l'homothtie de centre $\Omega$  et de rapport
$\frac{\sqrt{2}}{2}$.

On pose $s=h\circ r$. Quelle est l''criture complexe de $s$~?
  \end{block}
\end{frame}


\begin{frame}[fragile]

On n'oublie pas de se mettre en mode complexe~:

.g complex_variables:=1:; complex_mode:=1:;


\end{frame}



\begin{frame}[fragile]
  On commence  par crer une  procdure qui donne  l'criture complexe
  d'une similitude dfinie gomtriquement~:

  % \begin{lstlisting}
% SimiComp(s):={
% evalc(coeff(affixe(s(z)),z,1))*z+evalc(coeff(affixe(s(z)),z,0))
% }:;
%   \end{lstlisting}


.g SimiComp(s):={ evalc(coeff(affixe(s(z)),z,1))*z+evalc(coeff(affixe(s(z)),z,0)) }:;

\end{frame}



\begin{frame}[fragile]

% {\MarqueCommandeGiacN{329} \texttt{o:=2:;r:=rotation(o,pi/4):;}}

.g o:=2:;r:=rotation(o,pi/4):;

% {\MarqueCommandeGiacN{330} \texttt{h:=homothetie(o,sqrt(2)/2):;s:=h@r:;}}

.g h:=homothetie(o,sqrt(2)/2):;s:=h@r:;


% {\MarqueCommandeGiacN{331} \texttt{S:=SimiComp(s):; S(z):;}}

.g S:=z->SimiComp(s):; simplifier(S(z))

% {\MarqueLaTeXGiacN{\[1+-i+(\frac{1}{2}+\frac{i}{2})z\]}}



\end{frame}



\begin{frame}[fragile]
  \begin{block}{nonc}
Quels sont les lments caractristiques de $s$~?
  \end{block}

  \begin{itemize}
    \item
Son rapport~: 
.g abs(1/2+i/2)




\item 
Son angle~:
.g arg(1/2+i/2)

Les affixes des ventuels invariants~:
\item 
.g csolve(S(z)=z,z)


 \end{itemize}

% {\MarqueCommandeGiacN{333}\texttt{resoudre(S(z)=z,z)}}

% {\MarqueLaTeXGiacN{\[[2]\]}}



\end{frame}



\begin{frame}[fragile]
  On peut amliorer la chose en crant une procdure qui dtermine les
  lments caractristiques de la similitude~:


.g:
  CaracSimiD(s):={
  local a,solu;
  a:=coeff(s,z,1);
  solu:=csolve(s=z,z);
  return ("Le rapport est "+simplifier(abs(a))+ "
L'angle a pour mesure principale "+simplifier(arg(a))+
  if(size(solu)==0){"
Il n'y a pas d'invariant"
   }else{"
Le(s) point(s) invariant(s) a(ont) pour affixe(s) : "+solu[0]
   }
  )
  }:;
.end


\end{frame}


\begin{frame}[fragile]
Ce qui donne :

.g CaracSimiD((1/2+i/2)*z+1-i)

\end{frame}



\begin{frame}[fragile]
Dans le cas d'une similitude indirecte~:

%{\MarqueCommandeGiacN{333}\texttt{csolve(-i*conj(z)+2+2*i=z,z)}}

.g csolve(-i*conj(z)+2+2*i=z,z)


% {\MarqueLaTeXGiacN{\[ [\mbox{` x`}+i(-\mbox{` x`}+2)] \]}}


que l'on peut interprter facilement.
\end{frame}


\begin{frame}[fragile]

En  reprenant notre  prcdente procdure,  cela fonctionne  encore en
rajoutant des apostrophes pour rendre formel \texttt{conj(z)} :
%\begin{lstlisting}
.g:
CaracSimiI(s):={
local a,solu;
a:=coeff(s,'conj(z)',1);
solu:=csolve(s=z,z);
return ("Le rapport est "+simplifier(abs(a))+"
L'angle a pour mesure principale "+simplifier(arg(a))+
if(size(solu)==0){
   "
Il n'y a pas d'invariant"
  }else{"
Le(s) point(s) invariant(s) a(ont) pour affixe(s) : "+solu[0]
   }
  )
  }:;
.end


%\end{lstlisting}

\end{frame}


\begin{frame}[fragile]


On entre 

.g CaracSimiI('-i*conj(z)+2+2*i')

\end{frame}



\nettoyer


\section{XCAS gomtre dynamique}

\subsection{Dans le plan}

\subsubsection{Un exercice de collge}



\begin{frame}[fragile]
  \begin{block}{nonc}
La mdiatrice d'un segment  est l'ensemble des points quidistants des
extrmits d'un segment. Vrifier qu'elle est incluse dans la droite perpendiculaire  ce segment
en son milieu.
  \end{block}


\href{run:mediatrice.xws}{\beamergotobutton{Session XCAS}}

\end{frame}



\subsubsection{En seconde}


\begin{frame}[fragile]
  \begin{block}{nonc}
Soit $\CR$ un cercle de centre O et  de rayon $r$. On dfinit une application, que l'on appellera
\emph{machination} et qu'on notera $\mu$, de la manire suivante :  tout point M diffrent de O, on
assocoe le point $M'$ tel que $M'$ soit le symtrique de M par rapport  $I_M$, $I_M$ tant le point
d'intersection de $\CR$ et de la demi-droite $[OM)$. 

On dit que {\bfseries  M a pour image $\Mathbold{M'}$ par la  application $\Mathbold{\mu}$} et on
note 


\[M\stackrel{\mu}{\longmapsto}M'\]
\end{block}

On s'occupe d'abord de l'image d'un cercle de mme centre que $\CR$.


\href{run:machination1.xws}{\beamergotobutton{Session XCAS}}




\end{frame}




\begin{frame}
  Occupons-nous  prsent  de l'image d'une droite ne  passant pas par
  O.


\href{run:machination2.xws}{\beamergotobutton{Session XCAS}}


\end{frame}




\begin{frame}
  Occupons-nous   prsent  de l'image  d'un  cercle de  centre et  de
  rayons quelconques.

\href{run:machination3.xws}{\beamergotobutton{Session XCAS}}


\end{frame}






\subsubsection{Barycentre}


\begin{frame}[fragile]
  \begin{block}{nonc}

On donne $A(1~;~-1)$, $B(5~;~-3)$, $C(2~;~3)$ et $G(2~;~0)$.

Dterminer les nombres coefficients entiers $\alpha$, $\beta$ et $\gamma$ tels que G soit le barycentre des points $(A,\alpha)$, $(B,\beta)$ et $(C,\gamma)$.

  \end{block}


\href{run:barycentre.xws}{\beamergotobutton{Session XCAS}}

\end{frame}


\subsubsection{Condition de colinarit}

\begin{frame}[fragile]
Le texte du TD :

   \href{run:nemo.pdf}{\beamergotobutton{Texte du TD}}

.g complex_variables:=0:; complex_mode:=0:;

\end{frame}


\begin{frame}[fragile]

  \begin{block}{Question}
On   considre   les   points  $A   \left(-\frac{3}{2},2\right)$,   $B
\left(1,-2\right)$ et $C \left(3,\frac{1}{2}\right)$

On dtermine les coordonnes du point D tel que ACBD soit un paralllogramme
  \end{block}


Pour cela, on pose $(x,y)$ les coordonnes cherches de D et on sait que ACBD est un paralllogramme
si, et seulement si, $\ve{CA}=\ve{BD}$ par exemple.


.g A:=point(-3/2,2):;B:=point(1,-2):;C:=point(3,1/2):;

.g CV(M,N):={coordonnees(vecteur(M,N))}:;

.g resoudre(CV(C,A)=CV(B,point(x,y)),[x,y])

.g D:=point(resoudre(CV(C,A)=CV(B,point(x,y)),[x,y])[0]):;



  
\end{frame}



\begin{frame}[fragile]

  \begin{block}{Question}
Dterminez les coordonnes du point M dfini par $\ve{AM}=\frac{2}{3}\ve{AC}$
  \end{block}


.g M:=point(resoudre(CV(A,point(x,y))=(2/3)*CV(A,C),[x,y])[0]):;

.g coordonnees(M)

  
\end{frame}





\begin{frame}[fragile]

  \begin{block}{Question}
Dterminez les coordonnes du point E, symtrique du point D par rapport au point M
  \end{block}


.g E:=point(resoudre(CV(D,M)=CV(M,point(x,y)),[x,y])[0]):;

.g coordonnees(E)

\begin{block}{REMARQUE}
On   aurait  pu   utiliser   une   commande  \textbf{XCAS}   toute
  faite~:~\texttt{E:=symetrie(M,D)}\dots mais c'est de la triche car on ne colle plus  notre cours et
  on laisse tout faire au logiciel.
  \end{block}
  
\end{frame}




\begin{frame}[fragile]

  \begin{block}{Question}
Dterminez les coordonnes du point N, milieu de [B,E]
  \end{block}


.g N:=point(resoudre(CV(B,E)=2*CV(B,point(x,y)),[x,y])[0]):;

.g coordonnees(N)

\begin{block}{REMARQUE}
 L encore, on aurait pu utiliser une commande \textbf{XCAS} toute
  faite~:~\texttt{N:=milieu(B,E)}
  \end{block}
  
\end{frame}






\begin{frame}[fragile]
Dmontrez que le point N appartient  la droite (AC)
  \begin{block}{Question}

  \end{block}


L'ide est  d'utiliser la  condition de  colinarit de deux  vecteurs $\ve{u}$  et $\ve{v}$  vue en
cours. Pour cela, nous allons crer une fonction qu'on appellera par exemple \texttt{nemo}~:


.g nemo(u,v):=abscisse(u)*ordonnee(v)-abscisse(v)*ordonnee(u):;


Comme vous connaissez votre cours, vous savez que \texttt{nemo(u,v)} sera nul si, et seulement si, les
deux vecteurs $\ve{u}$ et $\ve{v}$ sont colinaires. Ici, cela donne~:

.g nemo(vecteur(A,C),vecteur(A,N))

\end{frame}





\begin{frame}[fragile]
Dterminez l'ordonne du point P d'abscisse 4 qui appartient  la droite (DM)
  \begin{block}{Question}

  \end{block}


Vous devez savoir que le point P appartient   la droite (DM) si, et seulement si, les points M,D et
P  sont  aligns, c'est--dire  si,  et  seulement si,  les  vecteurs  $\ve{DM}$  et $\ve{DP}$  sont
colinaires.  Faisons donc  encore appel    \texttt{nemo(u,v)} pour  rpondre   la question.  Posons
$(4,y)$ les coordonnes de P. Alors $y$ est solution de l'quation \texttt{nemo}$(\ve{DM},\ve{DP})=0$,
ce qui s'crit~:

.g yp:=resoudre(nemo(vecteur(D,M),vecteur(D,point(4,y)))=0,y)[0]

.g coordonnees(point(4,yp))


\end{frame}


\begin{frame}[fragile] \frametitle{Avec un peu d'imagination...}



Nous avons vu  en cours que le point $M$  de coordonnes $(x,y)$ appartient  la  droite (AB) si, et
seulement si, les vecteurs $\ve{AM}$ et $\ve{AB}$ taient aligns.

Imaginez alors un moyen pour obtenir $y$ en fonction de $x$  l'aide de \texttt{nemo}, \texttt{resoudre}
et \texttt{vecteur}. 


.g resoudre(nemo(vecteur(A,point(x,y)),vecteur(A,B))=0,y)[0]
  
\end{frame}





\subsection{Dans l'espace}

\subsubsection{Sections planes}

\begin{frame}
  \href{run:cone.xws}{\beamergotobutton{Session XCAS}}

Voir aussi \hyperlink{niveau}{\beamergotobutton{Lignes de niveaux}}
\label{section}

\end{frame}

\subsubsection{Plans et droites en TS}


\begin{frame}
  \href{run:plan.xws}{\beamergotobutton{Session XCAS}}
\end{frame}


\section{Le tableur de XCAS}


\begin{frame}
\frametitle{Exemple 1}
\href{run:tableur.xws}{\beamergotobutton{Session XCAS}}
\end{frame}


\begin{frame}
\frametitle{Exemple 2}
\href{run:tableur2.xws}{\beamergotobutton{Session XCAS}}
\end{frame}

\section{XCAS et la programmation}

\subsection{Initiation en 2nde}
\begin{frame}
\href{run:initiation_seconde.pdf}{\beamergotobutton{Session XCAS}}
\end{frame}
\subsection{Initiation en TS sp maths}

\begin{frame}
\href{run:TestPrimalite.pdf}{\beamergotobutton{Session XCAS}}
\end{frame}

\section{Combiner les capacits de XCAS}

\subsection{Lignes de niveaux}

\begin{frame}
\label{niveau}
\href{run:tableur.xws}{\beamergotobutton{Session XCAS}}

\hyperlink{section}{\beamerreturnbutton{Retour sections}}

\end{frame}


\subsection{Recherche d'un minimum en 2nde}

\begin{frame}
  Le texte du TD :

\href{run:Romeo.pdf}{\beamergotobutton{Texte du TD}}

\end{frame}



\subsection{Pourquoi les antennes sont-elles paraboliques~?}

\begin{frame}
  Le texte du TD :

\href{run:parabole_foyer.pdf}{\beamergotobutton{Texte du TD}}

La session XCAS :

\href{run:Parabole_foyer2.xws}{\beamergotobutton{Session XCAS}}

\end{frame}

\subsection{Problme du Duc de Toscane}

\begin{frame}
  Le texte du TD :

\href{run:Toscane2nde.pdf}{\beamergotobutton{Texte du TD}}

La session XCAS :

\href{run:Toscane.xws}{\beamergotobutton{Session XCAS}}

\end{frame}


\subsection{XCAS et les suites}


\begin{frame}
  \href{http://gconnan.free.fr/html/articlehtml/node3.html}{\beamergotobutton{ TD
  en ligne }}
\end{frame}

\section{XCAS et \LaTeX{} au service du professeur}

\subsection{L'extension \texttt{tablor}}

\begin{frame}
  Utiliser \LaTeX{},  c'est gagner en  temps et en qualit.  Voici une
  extension qui permet d'obtenir trs rapidement des tableaux de signe
  ou de variation. C'est XCAS qui effectue les calculs~!

\href{run:essaitablor.tex}{\beamergotobutton{Ouvrons Emacs}}




\end{frame}



\subsection{La programmation linaire}


\begin{frame}
  \href{run:proglin.pdf}{\beamergotobutton{Doc Prog Lin}}
\end{frame}


\subsection{Le programme \texttt{pgiac}}



\begin{frame}
 \href{http://melusine.eu.org/syracuse/giac/}{\beamergotobutton{Corrig Bac}}
\end{frame}



\subsection{Rdaction d'un corrig}


\begin{frame}
 \href{http://melusine.eu.org/syracuse/giac/test02/}{\beamergotobutton{Corrig Bac}}
\end{frame}



\begin{frame} \frametitle{En direct !}
  
\href{run:essaigiac.w}{\beamergotobutton{Ouvrons Emacs}}

\end{frame}

\end{document}
